Bug 150303 - foomatic processes when switching on/off usb printer
foomatic processes when switching on/off usb printer
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: hal-cups-utils (Show other bugs)
3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-03-04 10:45 EST by Alessio Milan
Modified: 2008-02-06 19:25 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-06 19:25:53 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alessio Milan 2005-03-04 10:45:35 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.6) Gecko/20050224 Firefox/1.0.1 Fedora/1.0.1-1.3.1

Description of problem:
When switching on or switching off the usb printer (an Epson Stylus C64), some foomatic processes start and run for at least 2 minutes (my pc is and old PIII/700 MHz). As I can see the processes are:
- foomatic-configure
- foomatic-combo-xml
- foomatic-ppdfile
- printconf-tui
- printconf-backend

It seems that all this activity is started by 
/etc/hotplug/usb.agent

Worse, every time I switch on the printer, all printer defined with cups web frontend are overwritten.

I disabled cups-config-daemon service but the behavior above didn't change.

Version-Release number of selected component (if applicable):
foomatic-3.0.2-3

How reproducible:
Always

Steps to Reproduce:
1. Launch the top command
1. Switch on an USB printer.
2. See foomatic processes running  

Actual Results:  A lot of cpu and disk activity, cups configuration broken

Expected Results:  A faster hot plug management.
CUPS configured printers untouched.

Additional info:
Comment 1 John (J5) Palmieri 2005-03-11 15:24:13 EST
Don't use the cups frontend to configure your printers.  You need to use
system-config-printer.  I plan on working on the printing infrastructure next
week and will backport those changes to FC3.  You can stop the printers from
updating for now by removing the add and remove printer scripts
(/etc/hal/device.d/printer_remove.hal, /etc/hal/capability.d/printer_update.hal).
Comment 2 Matthew Miller 2006-07-10 18:29:07 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!
Comment 3 petrosyan 2008-02-06 19:25:53 EST
Fedora Core 3 is not maintained anymore.

Setting status to "INSUFFICIENT_DATA". If you can reproduce this bug in the
current Fedora release please reopen this bug and assign it to the corresponding
Fedora version.

Note You need to log in before you can comment on or make changes to this bug.